int 	FTP_listen (void)
{
	return (TCP_open (0L, FPORT, 0, TCPFTP));
}

int 	FTP_open (int16 port, uint32 rhost)
{
	int16	x, cn;

	cn = TCP_open (rhost, port, 0, TCPFTP);
	x = TCP_wait_state (cn, TESTABLISH, 10);
	if (x < 0)
	{
		if (cn >= 0)
			TCP_close (cn, 2);
		return (0);
	}
	return (cn);
}

int 	hear_port (int16 cnp)
{
	return (CNbyte_count (cnp));
}

